Partially update task by ID
curl --request PATCH \
--url https://apiweb.mile.app/api/v3/task/{taskId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"field1": "Jack Ward"
}
'import requests
url = "https://apiweb.mile.app/api/v3/task/{taskId}"
payload = { "field1": "Jack Ward" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({field1: 'Jack Ward'})
};
fetch('https://apiweb.mile.app/api/v3/task/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"task": {
"_id": "6352736c628401059b37a2e2",
"flow": "Visit",
"hubId": "634e98498ce07d29474a7e29",
"startTime": "2022-11-02T07:28:23+00:00",
"organizationId": "634e98098ce07d29474a7e22",
"status": "UNASSIGNED",
"hub": {
"_id": "634e98498ce07d29474a7e29",
"name": "Jakarta",
"lat": -6.205154152722965,
"lng": 106.84667067970608
},
"orderIndex": 10,
"field1": "Jack Ward",
"field2": "Gambir Jakarta",
"field3": "-6.230815251,106.75684387",
"createdFrom": "API",
"endTime": "2022-11-05T07:28:23+00:00",
"createdBy": "Roger",
"updatedTime": "2022-11-01T07:28:23+00:00",
"createdTime": "2022-11-01T07:28:23+00:00"
}
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Task
Partially update task by ID
Partially updates a task by providing only the fields that need to be changed. This endpoint allows selective field updates without affecting other task properties.
PATCH
/
task
/
{taskId}
Partially update task by ID
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for the task that generated by system.
Example: 6352736c628401059b37a2e2
Body
application/json
This field's type & value is according to Flow's setting. Use GET /flow/{flowName}/task API to get example of payload.
Example: Jack Ward
⌘I